Intake Inbox Item
Use the following endpoint to import an Inbox Item from an E2B (R2) or E2B (R3) file containing one or more Individual Case Safety Reports (ICSRs):
POST
/api/{version}/app/safety/intake/inbox-itemHeaders
Section link for Headers| Name | Description |
|---|---|
Content-Type | multipart/form-data |
Body Parameters
Section link for Body Parameters| Name | Description |
|---|---|
file | The filepath of the E2B file to be imported. |
origin-organization | (Optional) The Vault API Name for the Organization sending the E2B file. This parameter sets the Origin Organization on the Inbound Transmission. If no value is provided, the Origin Organization is left blank. |
format | The format of the file being imported. This must match the Vault API Name of the Inbound Transmission Format picklist value. Must be an E2B format or other__v. If other__v, the system does not attempt E2B import or forms processing and instead creates an empty Inbox Item linked to the source document. |
organization | (Optional) To specify which organization to send the Case to, enter the Vault API Name for the Organization record. If no value is provided, the Organization is set to vault_customer__v. Note that the Organization record type must be Sponsor. |
transmission-profile | (Optional) The Vault API Name of the Transmission Profile to be used for E2B Intake. These parameters are used for Narrative Template Override and Inbox Item Auto-Promotion. The Transmission Profile record type must be Connection. This parameter is required for Automated Case Promotion (see Veeva Safety Helptransmission-profile is specified, Vault will use the parameters on the general_api_profile__v. |
Request
Section link for Requestcurl --location --request POST 'https://myvault.veevavault.com/api/v23.1/app/safety/intake/inbox-item' \
--header 'Content-Type: multipart/form-data' \
--header 'Authorization: {SESSION_ID}' \
--form 'file=@"/directory/labrinone_literature_case.xml"' \
--form 'origin-organization="vertio_biopharma__c"' \
--form 'format="e2br3__v"' \
--form 'organization="vault_customer__v"'Response
Section link for Response{
"responseStatus": "SUCCESS",
"url": "/api/v23.1/app/safety/intake/status?inbound_id=V29000000004001",
"intake_id": "V29000000004001"
}Response Details
Section link for Response DetailsOn SUCCESS, the response includes the following information:
| Name | Description |
|---|---|
url | The URL to retrieve the current status of the import request. |
intake_id | The Inbound Transmission ID of the E2B import. |
On FAILURE, the response returns a message describing the reason for the failure.